//+------------------------------------------------------------------+
//|                                                                  |
//|                                                                  |
//+------------------------------------------------------------------+
//2009fxtsd mom 4tf

#property copyright ""
#property link      ""

#property indicator_separate_window
#property indicator_buffers    4
#property indicator_color1     Blue
#property indicator_color2     Green
#property indicator_color3     Red
#property indicator_color4     Goldenrod

#property indicator_width1     4
#property indicator_width2     3
#property indicator_width3     2
#property indicator_width4     1

#property indicator_level2     100
#property indicator_levelcolor DarkSlateGray


extern int TF1      = 5;
extern int TF2      = 15;
extern int TF3      = 60;
extern int TF4      = 240;

extern int MomPeriod      = 2;
extern int MomPrice       = 4;

extern string     note_Price = "0C 1O 2H 3L 4Md 5Tp 6WghC: Md(HL/2)4,Tp(HLC/3)5,Wgh(HLCC/4)6";
extern string     TimeFrames = "M1;5,15,30,60H1;240H4;1440D1;10080W1;43200MN|0-CurrentTF";

double buffer1[];
double buffer2[];
double buffer3[];
double buffer4[];

//+------------------------------------------------------------------+
//|                                                                  |
//+------------------------------------------------------------------+

int init()
{
//      IndicatorBuffers(2); 

   
   SetIndexBuffer(3,buffer1);
   SetIndexBuffer(2,buffer2);
   SetIndexBuffer(1,buffer3);
   SetIndexBuffer(0,buffer4);

    TF1 = MathMax(TF1,Period());
    TF2 = MathMax(TF2,Period());
    TF3 = MathMax(TF3,Period());
    TF4 = MathMax(TF4,Period());


   IndicatorShortName("Mom  " +MomPeriod);  

   SetIndexLabel(0,"Mom "+MomPeriod+" "+TF1);
   SetIndexLabel(1,"Mom "+MomPeriod+" "+TF2);
   SetIndexLabel(2,"Mom "+MomPeriod+" "+TF3);
   SetIndexLabel(3,"Mom "+MomPeriod+" "+TF4);




   return(0);
}



//+------------------------------------------------------------------+
//|                                                                  |
//+------------------------------------------------------------------+



int start()
{
   int counted_bars=IndicatorCounted();
   int limit,i;
   
   if(counted_bars<0) return(-1);
   if(counted_bars>0) counted_bars--;
   
            limit=Bars-counted_bars;
            limit=MathMax(limit,TF1/Period());
            limit=MathMax(limit,TF2/Period());
            limit=MathMax(limit,TF3/Period());
            limit=MathMax(limit,TF4/Period());


   for(i=limit; i>=0; i--)
   {
   
     int y1 = iBarShift(NULL,TF1,Time[i]);
     int y2 = iBarShift(NULL,TF2,Time[i]);
     int y3 = iBarShift(NULL,TF3,Time[i]);
     int y4 = iBarShift(NULL,TF4,Time[i]);



    buffer1[i]   =iMomentum(NULL,TF1,MomPeriod,MomPrice,y1);
    buffer2[i]   =iMomentum(NULL,TF2,MomPeriod,MomPrice,y2);
    buffer3[i]   =iMomentum(NULL,TF3,MomPeriod,MomPrice,y3);
    buffer4[i]   =iMomentum(NULL,TF4,MomPeriod,MomPrice,y4);

 
   
  }
   
   return(0);
}


